KDE 4.7 PyKDE API Reference

- KDE's Python API

# KFilterBase Class Reference

`from PyKDE4.kdecore import *`

## Detailed Description

This is the base class for compression filters such as gzip and bzip2. It's pretty much internal. Don't use directly, use KFilterDev instead.

Internal:

## Enumerations
FilterFlags | { NoHeaders, WithHeaders }
Result | { Ok, End, Error }
## Methods
| __init__ (self)
| __init__ (self, KFilterBase a0)
KFilterBase.Result | compress (self, bool finish)
QIODevice | device (self)
KFilterBase.FilterFlags | filterFlags (self)
int | inBufferAvailable (self)
bool | inBufferEmpty (self)
| init (self, int mode)
int | mode (self)
int | outBufferAvailable (self)
bool | outBufferFull (self)
bool | readHeader (self)
| reset (self)
| setDevice (self, QIODevice dev, bool autodelete=0)
| setFilterFlags (self, KFilterBase.FilterFlags flags)
| setInBuffer (self, QString data, long size)
| setOutBuffer (self, QString data, long maxlen)
| terminate (self)
KFilterBase.Result | uncompress (self)
bool | writeHeader (self, QByteArray filename)
## Static Methods
KFilterBase | findFilterByFileName (QString fileName)
KFilterBase | findFilterByMimeType (QString mimeType)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KFilterBase | a0
| ) |  |  |

KFilterBase.Result compress | ( | self, |
|  | bool | finish
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

QIODevice device | ( |  | self ) |

Returns the device on which the filter will work.

Returns:
  the device on which the filter will work

KFilterBase.FilterFlags filterFlags | ( |  | self ) |

int inBufferAvailable | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

bool inBufferEmpty | ( |  | self ) |

Internal:

init | ( | self, |
|  | int | mode
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

int mode | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

int outBufferAvailable | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

bool outBufferFull | ( |  | self ) |

Internal:

bool readHeader | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

reset | ( |  | self ) |

Internal:

setDevice | ( | self, |
|  | QIODevice | dev,
|  | bool | autodelete=0
| ) |  |  |

Sets the device on which the filter will work

Parameters:

  | dev | the device on which the filter will work
  | autodelete | if true, dev is deleted when the filter is deleted

setFilterFlags | ( | self, |
|  | KFilterBase.FilterFlags | flags
| ) |  |  |

Internal:

Since:
  4.3

setInBuffer | ( | self, |
|  | QString | data,
|  | long | size
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

setOutBuffer | ( | self, |
|  | QString | data,
|  | long | maxlen
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

terminate | ( |  | self ) |

Internal:

KFilterBase.Result uncompress | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

bool writeHeader | ( | self, |
|  | QByteArray | filename
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

## Static Method Documentation

KFilterBase findFilterByFileName | ( | QString | fileName
| ) |  |  |

Call this to create the appropriate filter for the file named fileName.

Parameters:

  | fileName | the name of the file to filter

Returns:
  the filter for the fileName, or 0 if not found

KFilterBase findFilterByMimeType | ( | QString | mimeType
| ) |  |  |

Call this to create the appropriate filter for the mimetype mimeType. For instance application/x-gzip.

Parameters:

  | mimeType | the mime type of the file to filter

Returns:
  the filter for the mimeType, or 0 if not found

## Enumeration Documentation

FilterFlags

Internal:

Since:
  4.3

Enumerator:

  NoHeaders = 0 |
  WithHeaders = 1 |

Result

Internal:

Enumerator:

  Ok |
  End |
  Error |